
ctools - Change request #1350

Separate parameter reading from file loading

10/30/2014 02:38 PM - Knödlseder Jürgen

Status: Rejected Start date: 10/30/2014

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

All ctools should only read task parameters in get_parameters(), and loading of files should only be done later in the run() method.

Most of the tools do respect this rule, but not all of them (see #564). We should make sure that all ctools follow that rule.

Related issues:

Related to ctools - Change request # 564: ctbin should read input FITS file d... Rejected 10/13/2012

History

#1 - 02/26/2015 08:38 AM - Knödlseder Jürgen

I'm not fully sure that this always can be accommodated as sometimes the request of parameters depend on information found (or not found) in a file.

The actual logic with the ctool base class even prevents this. I think that the actual response times of the ctools is reasonably fast, hence I propose to

reject that issue.

#2 - 06/30/2015 11:50 AM - Knödlseder Jürgen

- Status changed from New to Rejected

Decided to not do anything about that.
